<template>
  <div id="app">
    <List
      :items="['Wonderwoman', 'Ironman','ee']"
      :item-click="item => (clicked = item)"
    />
    <p>Clickedhero: {{ clicked }}</p>
    <router-view/>
  </div>
</template>

<script>

import List from "./components/List";

export default {
  name: 'App',
  data: () => ({ clicked: "" }),
  components: { 
    List
  }
}
</script>

<style>
#app {
  font-family: 'Avenir', Helvetica, Arial, sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  text-align: center;
  color: #2c3e50;
  margin-top: 60px;
}
</style>
